package basic;

import java.io.*;

public class LOADStatement extends Statement {

  private BasicString programName;

  public LOADStatement(LexicalTokenizer lt) throws BASICSyntaxError {
    super("LOAD", false, false, true);
    parse(lt);
  }

  public Statement doit(Program pgm, InputStream in, BasicPrintStream out) throws BASICRuntimeError {

    out.write((char)0x7f);
    out.write("PLAY\n");

    BasicString fileName = new BasicString();

    try {
      Program pgm2 = Program.load(out, fileName);
      out.write("FOUND \""+ fileName+"\""+"\n");
      out.write("LOADING \""+ fileName+"\""+"\n");
      pgm.setProgram(pgm2);
    } catch (IOException ex) {
      out.write("FILE NOT FOUND.\n");
      ex.printStackTrace();
      //return null;
    } catch (BASICSyntaxError ex) {
      ex.printStackTrace();
    }

    return null;
  }

  public String unparse() {

    if (programName == null) {
      return "LOAD";
    } else {
      return "LOAD"+programName.getAsciiString();
    }
  }

  public void parse(LexicalTokenizer lt) throws BASICSyntaxError {

    Token t = lt.nextToken();
    if (t == null || t.typeNum() == Token.EOL) {
      return;
    } else if (t.typeNum() == Token.STRING) {
      programName = t.stringValue();
    } else {
      throw new BASICSyntaxError();
    }
  }
}
