package jp.gr.java_conf.sol.basic.mz700;

import basic.*;
import java.io.*;
import java.net.*;

import jp.gr.java_conf.sol.basic.*;

public class Application1 {

  public static final String VERSION = "0.2";

  private MZ700Frame frame;

  public Application1() {

    frame = new MZ700Frame();

    frame.pack();
    frame.setVisible(true);

    initialize();
  }

  public void initialize() {
    // specify font file
    String sep = System.getProperty("file.separator");
    File fontFile = new File(System.getProperty("user.dir")+sep+"MZ700Fon.txt");

    System.out.println(fontFile);

    // initialize frame and
    try {
      frame.initScreen(fontFile);
    } catch (Exception ex) {
      ex.printStackTrace();
    }
    ConsoleMZ700 console = (ConsoleMZ700)frame.getConsole();

    //start interpreter
    BasicInputStream input = new BasicInputStream(console.getInputStream());
    BasicPrintStream output = new BasicPrintStream(console.getOutputStream(), console);
    CommandInterpreter ci = new CommandInterpreter(console);//input, output);

    try {
      ci.start();
    } catch (Exception e) {
      System.out.println("Caught an Exception :");
      e.printStackTrace();
      try {
        System.out.println("Press enter to continue.");
        int c = System.in.read();
      } catch (IOException xx) { }
    }
  }

  //Main \bh
  public static void main(String[] args) {

    new Application1();
  }
}

